| optoMDC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoMDC.mre2.MRE2Channel Class Reference
Inheritance diagram for optoMDC.mre2.MRE2Channel:

## Public Member Functions
| __init__ (self, board, int channel_number=0)
| GetControlMode (self)
| SetControlMode (self, UnitType or str control_mode)

## Public Attributes
| VectorPatternUnit
| Analog
| SignalGenerator
| LinearOutput
| StaticInput
| InputConditioningFilter
| OutputConditioningFilter
| OFPID
| XYPID

## Protected Attributes
| _control_mode

## Detailed Description

    Channel object which contains channel-level systems and commands. Such as StaticInput, SetControlMode, etc

    Parameters
    ----------
    board
        Handle for the Board object
    channel_number
        integer of the channel (0 or 1 by default)

    Raises
    ------
    none

    Notes
    -----
    MRE2Channel is an subclass of Channel. Refer to optoKummenberg.connections for methods, parameters, etc.

    Examples
    --------
    Instantiate a simple-mode Board with connection over COM12 port, with baud rate 9600. Then switch into pro-mode.
    This will not flush the firmware registers, so it is assumed to already be reset.

    >>> import optoMDC
    >>> mre2 = optoMDC.connect()
    >>> mre2.Mirror.Channel_0.GetControlMode()
    >>> mre2.Mirror.Channel_1.SignalGenerator.GetAmplitude()

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.mre2.MRE2Channel.__init__ | ( |  | self,
|  |  | board,
|  | int | channel_number = 0 )

## Member Function Documentation

## ◆ GetControlMode()

optoMDC.mre2.MRE2Channel.GetControlMode | ( |  | self | ) |

    Retrieves board control mode for this channel.

    Parameters
    ----------
    none

    Raises
    ------
    none

    Returns
    -----
    UnitType
        Control mode options set by register_tables.UnitType

## ◆ SetControlMode()

optoMDC.mre2.MRE2Channel.SetControlMode | ( |  | self,
|  | UnitType or str | control_mode )

    Sets board control mode for this channel.

    Parameters
    ----------
    control_mode: UnitType or str
        Mode to set must be in register_tables.UnitType or appropriate string format given by
        UnitType enum attribute names.

    Raises
    ------
    none

    Returns
    -----
    str
        Firmware response or error information

## Member Data Documentation

## ◆ _control_mode

optoMDC.mre2.MRE2Channel._control_mode
| protected

## ◆ Analog

optoMDC.mre2.MRE2Channel.Analog

## ◆ InputConditioningFilter

optoMDC.mre2.MRE2Channel.InputConditioningFilter

## ◆ LinearOutput

optoMDC.mre2.MRE2Channel.LinearOutput

## ◆ OFPID

optoMDC.mre2.MRE2Channel.OFPID

## ◆ OutputConditioningFilter

optoMDC.mre2.MRE2Channel.OutputConditioningFilter

## ◆ SignalGenerator

optoMDC.mre2.MRE2Channel.SignalGenerator

## ◆ StaticInput

optoMDC.mre2.MRE2Channel.StaticInput

## ◆ VectorPatternUnit

optoMDC.mre2.MRE2Channel.VectorPatternUnit

## ◆ XYPID

optoMDC.mre2.MRE2Channel.XYPID

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/mre2.py